Name: gnome-user-share
Version: 3.34.0
Release: 1
Summary: Gnome user file sharing

License: GPLv2+
URL: http://www.gnome.org
Source0: http://download.gnome.org/sources/gnome-user-share/3.34/%{name}-%{version}.tar.xz

BuildRequires: gcc gtk3-devel httpd itstool libcanberra-devel meson desktop-file-utils
BuildRequires: libselinux-devel dbus-glib-devel libnotify-devel nautilus-devel gettext
BuildRequires: systemd-devel

Requires: httpd

%description
gnome-user-share is a small package that binds together various free
software projects to bring easy to use user-level file sharing to the
masses.

The program is meant to run in the background when the user is logged
in, and when file sharing is enabled a webdav server is started that
shares the $HOME/Public folder. The share is then published to all
computers on the local network using mDNS/rendezvous, so that it shows
up in the Network location in GNOME.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang gnome-user-share --with-gnome

%post
%systemd_user_post gnome-user-share-webdav.service

%preun
%systemd_user_preun gnome-user-share-webdav.service

%files -f gnome-user-share.lang
%license COPYING
%doc README NEWS
%{_libexecdir}/*
%{_datadir}/gnome-user-share
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.file-sharing.gschema.xml
%{_libdir}/nautilus/extensions-3.0/*.so
%{_datadir}/GConf/gsettings/gnome-user-share.convert
%{_datadir}/applications/gnome-user-share-webdav.desktop
%{_userunitdir}/gnome-user-share-webdav.service

%changelog
* Mon Jun 7 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.34.0-1
- Package gnome-user-share init with version 3.34.0
